// smart_assert_ext.h

// Boost.SmartAssert library
//
// Copyright (C) 2003 John Torjo (john@torjo.com)
//
// Permission to copy, use, sell and distribute this software is granted
// provided this copyright notice appears in all copies.
// Permission to modify the code and to distribute modified code is granted
// provided this copyright notice appears in all copies, and a notice
// that the code was modified is included with the copyright notice.
//
// This software is provided "as is" without express or implied warranty,
// and with no claim as to its suitability for any purpose.
 
// See http://www.boost.org for updates, documentation, and revision history.

#ifndef BOOST_SMART_ASSERT_EXT_HPP_INCLUDED
#define BOOST_SMART_ASSERT_EXT_HPP_INCLUDED

#if _MSC_VER >= 1020
#pragma once
#endif

#include "smart_assert.hpp"

// persistence
#include "boost/smart_assert/smart_assert_persist.hpp"

// extra (cool) handlers !!!
#include "boost/smart_assert/smart_assert_h_ext.hpp"

// extra (cool) loggers !!!
#include "boost/smart_assert/smart_assert_l_ext.hpp"


// Configurations
#include "boost/smart_assert/smart_assert_cfgarray.hpp"

#endif
